API Reference
Auto-generated
Account
API reference for account endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/account/limits
GET
/api/v1/account/limitsGet Account Limits
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/account/limits \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"user_id": "example",
"limits": "example",
"has_limits": true
}PUT /api/v1/account/limits
PUT
/api/v1/account/limitsSet Account Limits
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-Organization-Id | string | Optional | X-Organization-Id |
| budget_limit_microcents | integer | Optional | budget_limit_microcents |
| request_limit | integer | Optional | request_limit |
| reset_period | "daily" | "weekly" | "monthly" | Optional | How often the counters reset.Default: monthly |
| enabled | boolean | Optional | Whether this limit is active.Default: True |
Request Example
Bash
curl -X PUT https://api.alterlab.io/api/v1/account/limits \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"reset_period": "...",
"enabled": false
}'Response Example
JSON
{
"user_id": "example",
"limits": "example",
"has_limits": true
}DELETE /api/v1/account/limits
DELETE
/api/v1/account/limitsDelete Account Limits
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X DELETE https://api.alterlab.io/api/v1/account/limits \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}